package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.HouseKeeper;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.HouseKeeperMapper")
public interface HouseKeeperMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(HouseKeeper record);

    HouseKeeper selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(HouseKeeper record);

    List<HouseKeeper> queryAllHouseKeeper(HouseKeeper record);

    List<HouseKeeper> queryHouseKeeperByPage(Map<String, Object> parameter);

    int delete(String id);

    HouseKeeper queryHouseKeeper(HouseKeeper record);

    List<HouseKeeper> query(HouseKeeper record);
}

